;  :
; ^C^C(if (null c:INSFORMAT)(load "Master.lsp"));INSFORMAT
; ^C^C(if (null c:EDITTITLE)(load "Master.lsp"));EDITTITLE
; ^C^C(if (null c:DRAWROUGH)(load "Master.lsp"));DRAWROUGH
; ^C^C(if (null c:DRAWSECTION)(load "Master.lsp"));DRAWSECTION
; ^C^C(if (null c:DRAWLEADER)(load "Master.lsp"));DRAWLEADER
; ^C^C(if (null c:DRAWLBL)(load "Master.lsp"));DRAWLBL
; ^C^C(if (null c:DRAWPOS)(load "Master.lsp"));DRAWPOS

; ^C^C(if (null c:DRAWAXES)(load "Master.lsp"));DRAWAXES
; ^C^C(if (null c:DRAWHOLES)(load "Master.lsp"));DRAWHOLES
; ^C^C(if (null c:DRAWBREAKLINE)(load "Master.lsp"));DRAWBREAKLINE
; ^C^C(if (null c:LINESCALE)(load "Master.lsp"));LINESCALE
; ^C^C(if (null c:HATCHSCALE)(load "Master.lsp"));HATCHSCALE
; ^C^C(if (null c:ARC2CIRCLE)(load "Master.lsp"));ARC2CIRCLE

; ^C^C(if (null c:DIMED)(load "Master.lsp"));DIMED
; ^C^C(if (null c:DIMTXTCOLOR)(load "Master.lsp"));DIMTXTCOLOR
; ^C^C(if (null c:DIMTXTCOPY)(load "Master.lsp"));DIMTXTCOPY
; ^C^C(if (null c:DIMSUM)(load "Master.lsp"));DIMSUM

; ^C^C(if (null c:TXTCOMB)(load "Master.lsp"));TXTCOMB
; ^C^C(if (null c:TXTROT)(load "Master.lsp"));TXTROT
; ^C^C(if (null c:TXTSCALE)(load "Master.lsp"));TXTSCALE

(defun c:TXTSCALE ( / )
  (RunFunc 'TextScale)
)

(defun c:TXTROT ( / )
  (RunFunc 'TextRotate)
)

(defun c:TXTCOMB ( / )
  (RunFunc 'TextCombine)
)

(defun c:DIMSUM ( / )
  (RunFunc 'DimSum)
)

(defun c:DIMTXTCOPY ( / )
  (RunFunc 'DimTxtCopy)
)

(defun c:DIMTXTCOLOR ( / )
  (RunFunc 'DimTxtColor)
)

(defun c:DIMED ( / )
  (RunFunc 'DimEdit)
)

(defun c:INSFORMAT ( / )
  (RunFunc 'InsertFormat)
)

(defun c:EDITTITLE ( / )
  (RunFunc 'EditTitle)
)

(defun c:DRAWROUGH ( / )
  (RunFunc 'DrawRoughness)
)

(defun c:DRAWAXES ( / )
  (RunFunc 'DrawAxes)
)

(defun c:DRAWHOLES ( / )
  (RunFunc 'DrawHoles)
)

(defun c:DRAWBREAKLINE ( / )
  (RunFunc 'DrawBreakLine)
)

(defun c:LINESCALE ( / )
  (RunFunc 'LineScale)
)

(defun c:HATCHSCALE ( / )
  (RunFunc 'HatchScale)
)

(defun c:ARC2CIRCLE ( / )
  (RunFunc 'Arc2Circle)
)

(defun c:DRAWLEADER ( / )
  (RunFunc 'DrawLeader)
)

(defun c:DRAWSECTION ( / )
  (RunFunc 'DrawSection)
)

(defun c:DRAWPOS ( / )
  (RunFunc 'DrawPositions)
)

(defun c:DRAWLBL ( / )
  (RunFunc 'DrawLabeling)
)

(defun RunFunc (FuncName / AcadObj MasterObj Err)

  (vl-load-com) ;   ActiveX (   -    )
  (setq AcadObj (vlax-get-acad-object)) ;  AutoCAD Application object
  (setq MasterObj (vlax-get-or-create-object "Master.Main")) ;     

  (if (/= nil MasterObj) ;    -   
    (progn
      (setq Err (vlax-invoke-method MasterObj 'SetOwner AcadObj)) ;   MasterObj  AutoCAD-
      (if (= 0 Err) ;     AutoCAD-     ...
        (progn       
          (setq Err (vlax-invoke-method MasterObj FuncName))
        ); end progn Err = 0
        (progn
          (null MasterObj)
        ); end progn Err <> 0
      ); if (= 0 Err)
    ); progn
  ); if (/= nil MasterObj)

); defun RunFunc